id: 6c61951a834684a290bd6a
created: 2021-07-23T13:22:17.522Z
projectId: ZfY1uUXb8kuxuqdYlXuUOw
projectName: My first Project
owner: Theodore Zacharia
protocol: 1
tests:
  - id: c3c487a043ea8c213abb53
    name: TheoWare - Test01
    description: First Test on TheoWare
    platform: Web
    type: Web
    driverType: Chrome
    version: "0.1"
    creationDate: 2021-07-23T13:22:17.522Z
    modificationDate: 2021-07-23T13:24:32.800Z
    settings:
      appId: 49CsEyfcakmq4aeQ-zVYmQ
      automationAssistant: true
      stepSleepTime: 500
      stepTimeout: 15000
      stepSleepTiming: Before
      stepFailureBehaviorType: Abort
      stepTakeScreenshotConditionType: Failure
    application:
      id: 49CsEyfcakmq4aeQ-zVYmQ
      name: TheoWare
      url: http://theoware.epizy.com/index.html
      platform: Web
    steps:
      - id: fdb225099176feacddd027
        comments: Navigates the specified URL (Auto-generated)
        enabled: true
        invertResult: false
        order: 1
        repeat: 1
        type: Action
        settings:
          sleepTime: -1
          timeout: -1
          sleepTiming: Inherit
          failureBehaviorType: Inherit
          takeScreenshotConditionType: Inherit
        action:
          source: System
          id: 49c5d8d8-4ba8-42f0-823d-702e6acfb23a
        parameterMaps:
          - direction: Input
            name: url
            value: "{{ApplicationURL}}"
        conditions: []
        validations: []
        contexts: []
      - id: dea0d10075a9f679fa87de
        comments: ""
        enabled: true
        order: 2
        repeat: 1
        type: Action
        settings:
          sleepTime: -1
          timeout: -1
          sleepTiming: Inherit
          failureBehaviorType: Inherit
          takeScreenshotConditionType: Inherit
        action:
          source: System
          id: 02d572b2-d610-4700-9ad3-40076ddb9807
        parameterMaps: []
        conditions: []
        validations: []
        contexts: []
        elementId: 902bafb4c94ad71797dd21
      - id: 5713a360a7cf282163ac31
        comments: ""
        enabled: true
        order: 3
        repeat: 1
        type: Action
        settings:
          sleepTime: -1
          timeout: -1
          sleepTiming: Inherit
          failureBehaviorType: Inherit
          takeScreenshotConditionType: Inherit
        action:
          source: System
          id: 02d572b2-d610-4700-9ad3-40076ddb9807
        parameterMaps: []
        conditions: []
        validations: []
        contexts: []
        elementId: af9e0641077ea6a4e02df8
      - id: 735b9486183b12ab1973b6
        comments: ""
        enabled: true
        order: 4
        repeat: 1
        type: Action
        settings:
          sleepTime: -1
          timeout: -1
          sleepTiming: Inherit
          failureBehaviorType: Inherit
          takeScreenshotConditionType: Inherit
        action:
          source: System
          id: 6f94fdaa-0041-4265-b73b-ecfcbe702d66
        parameterMaps:
          - direction: Input
            name: keys
            value: new yo
        conditions: []
        validations: []
        contexts: []
        elementId: af9e0641077ea6a4e02df8
      - id: 0b892b06266371b6add7c5
        comments: ""
        enabled: true
        order: 5
        repeat: 1
        type: Action
        settings:
          sleepTime: -1
          timeout: -1
          sleepTiming: Inherit
          failureBehaviorType: Inherit
          takeScreenshotConditionType: Inherit
        action:
          source: System
          id: 02d572b2-d610-4700-9ad3-40076ddb9807
        parameterMaps: []
        conditions: []
        validations: []
        contexts: []
        elementId: f3ae4fe57e62ff29f6b3bc
      - id: b1e2c8a7da19b0af658a38
        comments: ""
        enabled: true
        order: 6
        repeat: 1
        type: Action
        settings:
          sleepTime: -1
          timeout: -1
          sleepTiming: Inherit
          failureBehaviorType: Inherit
          takeScreenshotConditionType: Inherit
        action:
          source: System
          id: 02d572b2-d610-4700-9ad3-40076ddb9807
        parameterMaps: []
        conditions: []
        validations: []
        contexts: []
        elementId: 4a290983de3974733c7199
      - id: 94e8a6baa30f322d7614c8
        comments: ""
        enabled: true
        order: 7
        repeat: 1
        type: Action
        settings:
          sleepTime: -1
          timeout: -1
          sleepTiming: Inherit
          failureBehaviorType: Inherit
          takeScreenshotConditionType: Inherit
        action:
          source: System
          id: 02d572b2-d610-4700-9ad3-40076ddb9807
        parameterMaps: []
        conditions: []
        validations: []
        contexts: []
        elementId: d148dadde8c0beb8215282
      - id: ff89ee987a1c214af6464e
        comments: ""
        enabled: true
        order: 8
        repeat: 1
        type: Action
        settings:
          sleepTime: -1
          timeout: -1
          sleepTiming: Inherit
          failureBehaviorType: Inherit
          takeScreenshotConditionType: Inherit
        action:
          source: System
          id: 02d572b2-d610-4700-9ad3-40076ddb9807
        parameterMaps: []
        conditions: []
        validations: []
        contexts: []
        elementId: d148dadde8c0beb8215282
      - id: 5ccca0b1073ac5f67476d6
        comments: ""
        enabled: true
        order: 9
        repeat: 1
        type: Action
        settings:
          sleepTime: -1
          timeout: -1
          sleepTiming: Inherit
          failureBehaviorType: Inherit
          takeScreenshotConditionType: Inherit
        action:
          source: System
          id: 02d572b2-d610-4700-9ad3-40076ddb9807
        parameterMaps: []
        conditions: []
        validations: []
        contexts: []
        elementId: d148dadde8c0beb8215282
      - id: e80f40b7ebec3ee9d59113
        comments: ""
        enabled: true
        order: 10
        repeat: 1
        type: Action
        settings:
          sleepTime: -1
          timeout: -1
          sleepTiming: Inherit
          failureBehaviorType: Inherit
          takeScreenshotConditionType: Inherit
        action:
          source: System
          id: 02d572b2-d610-4700-9ad3-40076ddb9807
        parameterMaps: []
        conditions: []
        validations: []
        contexts: []
        elementId: b5d3798dc4b4a60a774048
      - id: fc52382c34572b43ce815e
        comments: ""
        enabled: true
        order: 11
        repeat: 1
        type: Action
        settings:
          sleepTime: -1
          timeout: -1
          sleepTiming: Inherit
          failureBehaviorType: Inherit
          takeScreenshotConditionType: Inherit
        action:
          source: System
          id: 02d572b2-d610-4700-9ad3-40076ddb9807
        parameterMaps: []
        conditions: []
        validations: []
        contexts: []
        elementId: 1352565a83a9c08a69c307
      - id: 56bc5158e945aee28268fe
        comments: ""
        enabled: true
        order: 12
        repeat: 1
        type: Action
        settings:
          sleepTime: -1
          timeout: -1
          sleepTiming: Inherit
          failureBehaviorType: Inherit
          takeScreenshotConditionType: Inherit
        action:
          source: System
          id: 49c5d8d8-4ba8-42f0-823d-702e6acfb23a
        parameterMaps:
          - direction: Input
            name: url
            value: http://theoware.epizy.com/bytags/New%20York.slideshow.html?id=8
        conditions: []
        validations: []
        contexts: []
      - id: 06403c14a8a401d8c39ede
        comments: ""
        enabled: true
        order: 13
        repeat: 1
        type: Action
        settings:
          sleepTime: -1
          timeout: -1
          sleepTiming: Inherit
          failureBehaviorType: Inherit
          takeScreenshotConditionType: Inherit
        action:
          source: System
          id: 02d572b2-d610-4700-9ad3-40076ddb9807
        parameterMaps: []
        conditions: []
        validations: []
        contexts: []
        elementId: 39c9c2a54eb534c942d2ae
      - id: cee79f4b6968f2c876d277
        comments: ""
        enabled: true
        order: 14
        repeat: 1
        type: Action
        settings:
          sleepTime: -1
          timeout: -1
          sleepTiming: Inherit
          failureBehaviorType: Inherit
          takeScreenshotConditionType: Inherit
        action:
          source: System
          id: a5d4eb31-51f0-4c62-8832-60c6bcd51a16
        parameterMaps:
          - direction: Input
            name: x
            value: "0"
          - direction: Input
            name: y
            value: "265"
        conditions: []
        validations: []
        contexts: []
      - id: 68eb52ee9f44c302c07684
        comments: ""
        enabled: true
        order: 15
        repeat: 1
        type: Action
        settings:
          sleepTime: -1
          timeout: -1
          sleepTiming: Inherit
          failureBehaviorType: Inherit
          takeScreenshotConditionType: Inherit
        action:
          source: System
          id: a5d4eb31-51f0-4c62-8832-60c6bcd51a16
        parameterMaps:
          - direction: Input
            name: x
            value: "0"
          - direction: Input
            name: y
            value: "948"
        conditions: []
        validations: []
        contexts: []
      - id: 9d55cca60b8178f5de458a
        comments: ""
        enabled: true
        order: 16
        repeat: 1
        type: Action
        settings:
          sleepTime: -1
          timeout: -1
          sleepTiming: Inherit
          failureBehaviorType: Inherit
          takeScreenshotConditionType: Inherit
        action:
          source: System
          id: 02d572b2-d610-4700-9ad3-40076ddb9807
        parameterMaps: []
        conditions: []
        validations: []
        contexts: []
        elementId: 6a214e6a22337310ec79e3
      - id: 44f35dfb991c90eecf8918
        comments: ""
        enabled: true
        order: 17
        repeat: 1
        type: Action
        settings:
          sleepTime: -1
          timeout: -1
          sleepTiming: Inherit
          failureBehaviorType: Inherit
          takeScreenshotConditionType: Inherit
        action:
          source: System
          id: 02d572b2-d610-4700-9ad3-40076ddb9807
        parameterMaps: []
        conditions: []
        validations: []
        contexts: []
        elementId: 10bfdf8a13b563baaaaceb
      - id: 5f96b1a4860b6a89b1d720
        comments: ""
        enabled: true
        order: 18
        repeat: 1
        type: Action
        settings:
          sleepTime: -1
          timeout: -1
          sleepTiming: Inherit
          failureBehaviorType: Inherit
          takeScreenshotConditionType: Inherit
        action:
          source: System
          id: 02d572b2-d610-4700-9ad3-40076ddb9807
        parameterMaps: []
        conditions: []
        validations: []
        contexts: []
        elementId: 2e0986f110bd07e29d60e1
      - id: 4694731930e802a95b7514
        comments: ""
        enabled: true
        order: 19
        repeat: 1
        type: Action
        settings:
          sleepTime: -1
          timeout: -1
          sleepTiming: Inherit
          failureBehaviorType: Inherit
          takeScreenshotConditionType: Inherit
        action:
          source: System
          id: 02d572b2-d610-4700-9ad3-40076ddb9807
        parameterMaps: []
        conditions: []
        validations: []
        contexts: []
        elementId: 9b531f59e8b6eb8422ff9a
      - id: 9ad0aed8b6eff92ab07c5d
        comments: ""
        enabled: true
        order: 20
        repeat: 1
        type: Action
        settings:
          sleepTime: -1
          timeout: -1
          sleepTiming: Inherit
          failureBehaviorType: Inherit
          takeScreenshotConditionType: Inherit
        action:
          source: System
          id: 02d572b2-d610-4700-9ad3-40076ddb9807
        parameterMaps: []
        conditions: []
        validations: []
        contexts: []
        elementId: 2793cc984fc88066b91351
      - id: 3b62fa7bee7c4cca23fb27
        comments: ""
        enabled: true
        order: 21
        repeat: 1
        type: Action
        settings:
          sleepTime: -1
          timeout: -1
          sleepTiming: Inherit
          failureBehaviorType: Inherit
          takeScreenshotConditionType: Inherit
        action:
          source: System
          id: 49c5d8d8-4ba8-42f0-823d-702e6acfb23a
        parameterMaps:
          - direction: Input
            name: url
            value: http://theoware.epizy.com/storybrd.html
        conditions: []
        validations: []
        contexts: []
      - id: 685fe04b14ff6ac21df056
        comments: ""
        enabled: true
        order: 22
        repeat: 1
        type: Action
        settings:
          sleepTime: -1
          timeout: -1
          sleepTiming: Inherit
          failureBehaviorType: Inherit
          takeScreenshotConditionType: Inherit
        action:
          source: System
          id: 02d572b2-d610-4700-9ad3-40076ddb9807
        parameterMaps: []
        conditions: []
        validations: []
        contexts: []
        elementId: 39c9c2a54eb534c942d2ae
      - id: 624c62d6c9c78b6cf47044
        comments: ""
        enabled: true
        order: 23
        repeat: 1
        type: Action
        settings:
          sleepTime: -1
          timeout: -1
          sleepTiming: Inherit
          failureBehaviorType: Inherit
          takeScreenshotConditionType: Inherit
        action:
          source: System
          id: 49c5d8d8-4ba8-42f0-823d-702e6acfb23a
        parameterMaps:
          - direction: Input
            name: url
            value: http://theoware.epizy.com/index.html
        conditions: []
        validations: []
        contexts: []
    parameters:
      - name: ApplicationURL
        description: Auto generated application URL parameter
        value: http://theoware.epizy.com/index.html
        type: Input
    tags:
      - TheoWare
auxTests: []
elements:
  - id: 2793cc984fc88066b91351
    name: Back1
    description: ""
    type:
      id: jUwODgyNjAyNzk2NTk1NTE
      name: Link
      source: System
    locators:
      - name: XPATH
        value: //a[. = 'Back']
        priority: 0
      - name: XPATH
        value: //a
        priority: 1
      - name: XPATH
        value: /html/body/a
        priority: 2
  - id: 9b531f59e8b6eb8422ff9a
    name: The poor little pointer
    description: ""
    type:
      id: jUwODgyNjAyNzk2NTk1NTE
      name: Link
      source: System
    locators:
      - name: XPATH
        value: //a[. = 'The poor little pointer']
        priority: 0
      - name: XPATH
        value: //li[1]/a
        priority: 1
      - name: XPATH
        value: /html/body/ul/li[1]/a
        priority: 2
  - id: 2e0986f110bd07e29d60e1
    name: IMG3
    description: ""
    type:
      id: jUwODgyNjAyNzk2NTk1NTI
      name: Image
      source: System
    locators:
      - name: XPATH
        value: //li[30]//img
        priority: 0
      - name: XPATH
        value: /html/body/div/ul/li[30]/a/img
        priority: 1
  - id: 10bfdf8a13b563baaaaceb
    name: IMG2
    description: ""
    type:
      id: jUwODgyNjAyNzk2NTk1NTI
      name: Image
      source: System
    locators:
      - name: XPATH
        value: //li[9]//img
        priority: 0
      - name: XPATH
        value: /html/body/div/ul/li[9]/a/img
        priority: 1
  - id: 6a214e6a22337310ec79e3
    name: Home
    description: ""
    type:
      id: jUwODgyNjAyNzk2NTk1NTE
      name: Link
      source: System
    locators:
      - name: XPATH
        value: //a[. = 'Home']
        priority: 0
      - name: XPATH
        value: //p[2]/a
        priority: 1
      - name: XPATH
        value: /html/body/p[2]/a
        priority: 2
  - id: 39c9c2a54eb534c942d2ae
    name: Back
    description: ""
    type:
      id: jUwODgyNjAyNzk2NTk1NTE
      name: Link
      source: System
    locators:
      - name: XPATH
        value: //a[. = 'Back']
        priority: 0
      - name: XPATH
        value: //body/a
        priority: 1
      - name: XPATH
        value: /html/body/a
        priority: 2
  - id: 1352565a83a9c08a69c307
    name: EXIF Info
    description: ""
    type:
      id: jUwODgyNjAyNzk2NTk1NTI
      name: Image
      source: System
    locators:
      - name: XPATH
        value: //img[1]
        priority: 0
      - name: XPATH
        value: /html/body/p[1]/a/img[1]
        priority: 1
  - id: b5d3798dc4b4a60a774048
    name: EXIF
    description: ""
    type:
      id: jUwODgyNjAyNzk2NTk1NTE
      name: Link
      source: System
    locators:
      - name: XPATH
        value: //div[11]/a[. = 'EXIF']
        priority: 0
      - name: XPATH
        value: //div[11]/a[1]
        priority: 1
      - name: XPATH
        value: /html/body/div[1]/div[11]/a[1]
        priority: 2
  - id: d148dadde8c0beb8215282
    name: ❯
    description: ""
    type:
      id: jUwODgyNjAyNzk2NTk1NTE
      name: Link
      source: System
    locators:
      - name: XPATH
        value: //a[. = '❯']
        priority: 0
      - name: XPATH
        value: //body/div/a[2]
        priority: 1
      - name: XPATH
        value: /html/body/div[1]/a[2]
        priority: 2
  - id: 4a290983de3974733c7199
    name: IMG1
    description: ""
    type:
      id: jUwODgyNjAyNzk2NTk1NTI
      name: Image
      source: System
    locators:
      - name: XPATH
        value: //a[8]/img
        priority: 0
      - name: XPATH
        value: /html/body/a[8]/img
        priority: 1
  - id: f3ae4fe57e62ff29f6b3bc
    name: New York [57]
    description: ""
    type:
      id: jUwODgyNjAyNzk2NTk1NTE
      name: Link
      source: System
    locators:
      - name: XPATH
        value: //a[. = 'New York [57] ']
        priority: 0
      - name: XPATH
        value: //p/a
        priority: 1
      - name: XPATH
        value: /html/body/div/ul/li/p/a
        priority: 2
  - id: af9e0641077ea6a4e02df8
    name: fuzzy-search-input
    description: ""
    type:
      id: jUwODgyNjAyNzk2NTk1NDY
      name: Textbox
      source: System
    locators:
      - name: CSSSELECTOR
        value: "#fuzzy-search-input"
        priority: 0
      - name: XPATH
        value: //input
        priority: 1
      - name: XPATH
        value: /html/body/div/input
        priority: 2
  - id: 902bafb4c94ad71797dd21
    name: IMG
    description: ""
    type:
      id: jUwODgyNjAyNzk2NTk1NTI
      name: Image
      source: System
    locators:
      - name: XPATH
        value: //li[1]//img
        priority: 0
      - name: XPATH
        value: /html/body/div/ul/li[1]/a/img
        priority: 1
projectParameters: []
addons: []
